#
# spec file for package python-moneris
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mod_name PyMoneris

Name:           python-moneris
Version:        0.1
%define extraver r2dev-r2
Release:        1.1
Url:            http://code.google.com/p/pymoneris/
Summary:        A Python Interface to Moneris APIs
License:        LGPL
Group:          Development/Languages/Python
Source:         %{mod_name}-%{version}%{extraver}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel python-setuptools
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
This package contains a Python interface to the Moneris APIs. It currently
supports their eselectplus product.

It closely resembles the official Perl interface and may not seem intuitive as
such to Python developers.

Authors:
--------
    J Kenneth King <james@agentultra.com>

%prep
%setup -q -n %{mod_name}-%{version}%{extraver}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%{python_sitelib}/*

%changelog
* Fri May 27 2011 jfunk@funktronics.ca
- Initial release
